/*----------------------------------------------------------------------+
|									|
|  Copyright (1993-1995) Bentley Systems, Inc., All rights reserved.	|
|									|
|  "MicroStation" is a registered trademark and "MDL" and "MicroCSL"	|
|  are trademarks of Bentley Systems, Inc.			    	|
|									|
|  Limited permission is hereby granted to reproduce and modify this	|
|  copyrighted material provided that the resulting code is used only 	|
|  in conjunction with Bentley Systems products under the terms of the	|
|  license agreement provided therein, and that this notice is retained	|
|  in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|    $Logfile:   J:/mdl/examples/clibmgr/clibmgr.r_v  $
|   $Workfile:   clibmgr.r  $
|   $Revision:   1.3  $
|   	$Date:   16 Jun 1995 15:24:00  $
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Function -								|
|									|
|	ClibMgr Dialog Example Resources				|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Include Files   							|
|									|
+----------------------------------------------------------------------*/
#include <dlogbox.h>	/* dlog box manager resource constants & structs */
#include <dlogids.h>	/* MicroStation resource IDs */

#include "clibmgr.h"	/* clibMgr dialog box example constants & structs */
#include "clibmtxt.h"	/* Static text definitions for dialog resources */

/*----------------------------------------------------------------------+
|									|
|   ClibMgr Dialog Box							|
|									|
+----------------------------------------------------------------------*/
#define X1 (1*XC)		/* label and list box x position */
#define X2 (3*XC)		/* label and list box x position */
#define X3 (18*XC)		/* "Workstation" x position */
#define X4 (36*XC)		/* "Workstation" x position */
#define X5 (42*XC+XC/2)		/* "Workstation" x position */
#define X6 (49*XC)		/* "Workstation" x position */

#define X7 (26*XC)		/* "Workstation" x position */
#define X8 (40*XC)

#define Y1  (1*YC + YC/2)
#define Y2  (10*YC - YC/4)
#define Y3  (9*YC + YC/3)
#define Y4  (12*YC - YC/4)
#define Y5  (11*YC + YC/2)
#define Y6  (10*YC)
#define OB  (8*XC)

#define  GENHGHT	7*YC + YC/2
#define  GENWIDTH	18*XC
#define  BTN1		5*XC + XC/2
#define  BTN2		8*XC

DialogBoxRsc DIALOGID_ClibMgr =
    {
    DIALOGATTR_DEFAULT | DIALOGATTR_SINKABLE,
    55*XC, 13*YC+YC/2,
    NOHELP, MHELP, HOOKDIALOGID_ClibMgr, NOPARENTID,
    TXT_CellLibraryManager,
{
{{X1, Y1, 0, 0},		ListBox,  LISTBOXID_ClibMgr, ON, 0,"", ""},
{{X1, Y2, 9*XC, 0},		Label, 0, ON, ALIGN_LEFT, TXT_View, ""},
{{OB, Y2, 0, 0},		OptionButton, OPTIONBUTTONID_ClibMgr_View,
				    ON, 0, "", ""},
{{X1, Y4, 9*XC, 0},		Label, 0, ON, ALIGN_LEFT, TXT_Library, ""},
{{OB, Y4, 0, 0},		OptionButton, OPTIONBUTTONID_ClibMgr_Library,
				    ON, 0, "", ""},
{{X4, Y1, GENWIDTH, GENHGHT},	Generic, GENERICID_ClibMgr, ON, 0, "", ""},

{{X4, Y3, BTN1, 0},		PushButton, PUSHBUTTONID_ClibMgrRxM, ON,
				    0, "", ""},
{{X4, Y5, BTN1, 0},		PushButton, PUSHBUTTONID_ClibMgrRxP, ON,
				    0, "", ""},

{{X5, Y3, BTN1, 0},		PushButton, PUSHBUTTONID_ClibMgrRyM, ON,
				    0, "", ""},
{{X5, Y5, BTN1, 0},		PushButton, PUSHBUTTONID_ClibMgrRyP, ON,
				    0, "", ""},

{{X6, Y3, BTN1, 0},		PushButton, PUSHBUTTONID_ClibMgrRzM, ON,0, "", ""},
{{X6, Y5, BTN1, 0},		PushButton, PUSHBUTTONID_ClibMgrRzP, ON,0, "", ""},

{{X7, Y3, BTN2, 0},		PushButton, PUSHBUTTONID_ClibMgr_ZeroAngles, ON,
				    0, "",""},
{{X7, Y5, BTN2, 0},		PushButton, PUSHBUTTONID_ClibMgr_Select, ON,
				    0, "", ""},

{{X8, YC/3, 0, 0},		ToggleButton, TOGGLEID_ClibMgr_CellShared, ON,
				    0, "", ""},
}
    };

#undef X1		/* undef symbols so they can be reused */
#undef X2
#undef X3
#undef X4
#undef X5
#undef Y1
#undef Y2
#undef Y3
#undef GENHGHT
#undef GENWIDTH
#undef BTN_WIDTH

/*----------------------------------------------------------------------+
|									|
|   Item Resource Specifications					|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   Cell Library Manager Text Items     				|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   List Box Item Resource						|
|									|
+----------------------------------------------------------------------*/
DItem_ListBoxRsc LISTBOXID_ClibMgr =
    {
    NOHELP, LHELPCMD, HOOKITEMID_ClibMgr_ListBox, NOARG,
    0, 6, 0, "",
	{
	{7*XC,   6,  ALIGN_LEFT, TXT_Name},
	{23*XC, 22,  ALIGN_LEFT, TXT_Description},
	}
    };

/*----------------------------------------------------------------------+
|									|
|   Option Button Item Resource						|
|									|
+----------------------------------------------------------------------*/
DItem_OptionButtonRsc  OPTIONBUTTONID_ClibMgr_Library =
    {
    NOSYNONYM, NOHELP, LHELPCMD, HOOKITEMID_ClibMgr_Library, NOARG,
    "",
    "clibMgrGlobals.currentLibrary",
	{
	{NOTYPE, NOICON, NOCMD, LCMD, 0, NOMASK, ON, TXT_Workstation},
	{NOTYPE, NOICON, NOCMD, LCMD, 1, NOMASK, ON, TXT_Computer},
	{NOTYPE, NOICON, NOCMD, LCMD, 2, NOMASK, ON, TXT_Chair},
	}
    };

DItem_OptionButtonRsc  OPTIONBUTTONID_ClibMgr_View =
    {
    NOSYNONYM, NOHELP, LHELPCMD, HOOKITEMID_ClibMgr_View, NOARG,
    "",
    "clibMgrGlobals.currentView",
	{
	{NOTYPE, NOICON, NOCMD, LCMD, 1, NOMASK, ON, TXT_Top},
	{NOTYPE, NOICON, NOCMD, LCMD, 2, NOMASK, ON, TXT_Bottom},
	{NOTYPE, NOICON, NOCMD, LCMD, 3, NOMASK, ON, TXT_Left},
	{NOTYPE, NOICON, NOCMD, LCMD, 4, NOMASK, ON, TXT_Right},
	{NOTYPE, NOICON, NOCMD, LCMD, 5, NOMASK, ON, TXT_Front},
	{NOTYPE, NOICON, NOCMD, LCMD, 6, NOMASK, ON, TXT_Back},
	{NOTYPE, NOICON, NOCMD, LCMD, 7, NOMASK, ON, TXT_Iso},
	}
    };

DItem_PushButtonRsc PUSHBUTTONID_ClibMgrRxM =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_RotateCell, 0, NOCMD, LCMD, "",
    TXT_RxMinus
    };

DItem_PushButtonRsc PUSHBUTTONID_ClibMgrRxP =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_RotateCell, 0, NOCMD, LCMD, "",
    TXT_RxPlus
    };

DItem_PushButtonRsc PUSHBUTTONID_ClibMgrRyM =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_RotateCell, 0, NOCMD, LCMD, "",
    TXT_RyMinus
    };
DItem_PushButtonRsc PUSHBUTTONID_ClibMgrRyP =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_RotateCell, 0, NOCMD, LCMD, "",
    TXT_RyPlus
    };

DItem_PushButtonRsc PUSHBUTTONID_ClibMgrRzM =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_RotateCell, 0, NOCMD, LCMD, "",
    TXT_RzMinus
    };
DItem_PushButtonRsc PUSHBUTTONID_ClibMgrRzP =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_RotateCell, 0, NOCMD, LCMD, "",
    TXT_RzPlus
    };


DItem_PushButtonRsc PUSHBUTTONID_ClibMgr_ZeroAngles =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_ZeroAngles, 0, NOCMD, LCMD, "",
    TXT_Zero
    };

DItem_PushButtonRsc PUSHBUTTONID_ClibMgr_Select =
    {
    NOT_DEFAULT_BUTTON, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_Select, 0, NOCMD, LCMD, "",
    TXT_Select
    };


/*----------------------------------------------------------------------+
|									|
|   ToggleButtons							|
|									|
+----------------------------------------------------------------------*/
DItem_ToggleButtonRsc TOGGLEID_ClibMgr_CellShared =
    {
    NOCMD, LCMD, NOSYNONYM, NOHELP, MHELP,
    HOOKITEMID_ClibMgr_SharedCells, NOARG, NOMASK, NOINVERT,
    TXT_Shared,
    "tcb->ext_locks.sharedCells"
    };

/*----------------------------------------------------------------------+
|                                                                       |
|      Generic Items                                                   	|
|                                                                       |
+----------------------------------------------------------------------*/
DItem_GenericRsc GENERICID_ClibMgr =
    {
    NOHELP, MHELP,
    HOOKITEMID_ClibMgr_Generic, NOARG
    };


